org.springframework.data.querydsl.binding

## Interface QuerydslBinderCustomizer<T extends com.querydsl.core.types.EntityPath<?>>

    public interface QuerydslBinderCustomizer<T extends com.querydsl.core.types.EntityPath<?>>

A component that will customize `QuerydslBindings` for the given entity path.

Since:
  1.11
Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `customize(QuerydslBindings bindings, T root)` Customize the `QuerydslBindings` for the given root.

### Method Detail

#### customize

    void customize(QuerydslBindings bindings,
                   T root)

Customize the `QuerydslBindings` for the given root.

Parameters:
  `bindings` - the `QuerydslBindings` to customize, will never be null.
  `root` - the entity root, will never be null.